org.icefaces.ace.component.chart

## Class ChartTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.chart.ChartTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ChartTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setAnimated(javax.el.ValueExpression animated)`
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setCursor(javax.el.ValueExpression cursor)`
    `void` | `setDefaultAxesConfig(javax.el.ValueExpression defaultAxesConfig)`
    `void` | `setDefaultSeriesColors(javax.el.ValueExpression defaultSeriesColors)`
    `void` | `setDefaultSeriesConfig(javax.el.ValueExpression defaultSeriesConfig)`
    `void` | `setHeight(javax.el.ValueExpression height)`
    `void` | `setHiddenInitPolling(javax.el.ValueExpression hiddenInitPolling)`
    `void` | `setHighlighter(javax.el.ValueExpression highlighter)`
    `void` | `setHighlighterAxes(javax.el.ValueExpression highlighterAxes)`
    `void` | `setHighlighterBringSeriesToFront(javax.el.ValueExpression highlighterBringSeriesToFront)`
    `void` | `setHighlighterFormatString(javax.el.ValueExpression highlighterFormatString)`
    `void` | `setHighlighterLocation(javax.el.ValueExpression highlighterLocation)`
    `void` | `setHighlighterShowMarker(javax.el.ValueExpression highlighterShowMarker)`
    `void` | `setHighlighterYValueCount(javax.el.ValueExpression highlighterYValueCount)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setImageExportListener(javax.el.MethodExpression imageExportListener)`
    `void` | `setLegend(javax.el.ValueExpression legend)`
    `void` | `setLegendLocation(javax.el.ValueExpression legendLocation)`
    `void` | `setLegendPlacement(javax.el.ValueExpression legendPlacement)`
    `void` | `setPointChangeListener(javax.el.MethodExpression pointChangeListener)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setSelectListener(javax.el.MethodExpression selectListener)`
    `void` | `setShowTooltip(javax.el.ValueExpression showTooltip)`
    `void` | `setStackSeries(javax.el.ValueExpression stackSeries)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setTitle(javax.el.ValueExpression title)`
    `void` | `setValue(javax.el.ValueExpression value)`
    `void` | `setWidgetVar(javax.el.ValueExpression widgetVar)`
    `void` | `setWidth(javax.el.ValueExpression width)`
    `void` | `setX2Axis(javax.el.ValueExpression x2Axis)`
    `void` | `setXAxis(javax.el.ValueExpression xAxis)`
    `void` | `setYAxes(javax.el.ValueExpression yAxes)`
    `void` | `setZoom(javax.el.ValueExpression zoom)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ChartTag

          public ChartTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setAnimated

          public void setAnimated(javax.el.ValueExpression animated)

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setCursor

          public void setCursor(javax.el.ValueExpression cursor)

    - #### setDefaultAxesConfig

          public void setDefaultAxesConfig(javax.el.ValueExpression defaultAxesConfig)

    - #### setDefaultSeriesColors

          public void setDefaultSeriesColors(javax.el.ValueExpression defaultSeriesColors)

    - #### setDefaultSeriesConfig

          public void setDefaultSeriesConfig(javax.el.ValueExpression defaultSeriesConfig)

    - #### setHeight

          public void setHeight(javax.el.ValueExpression height)

    - #### setHiddenInitPolling

          public void setHiddenInitPolling(javax.el.ValueExpression hiddenInitPolling)

    - #### setHighlighter

          public void setHighlighter(javax.el.ValueExpression highlighter)

    - #### setHighlighterAxes

          public void setHighlighterAxes(javax.el.ValueExpression highlighterAxes)

    - #### setHighlighterBringSeriesToFront

          public void setHighlighterBringSeriesToFront(javax.el.ValueExpression highlighterBringSeriesToFront)

    - #### setHighlighterFormatString

          public void setHighlighterFormatString(javax.el.ValueExpression highlighterFormatString)

    - #### setHighlighterLocation

          public void setHighlighterLocation(javax.el.ValueExpression highlighterLocation)

    - #### setHighlighterShowMarker

          public void setHighlighterShowMarker(javax.el.ValueExpression highlighterShowMarker)

    - #### setHighlighterYValueCount

          public void setHighlighterYValueCount(javax.el.ValueExpression highlighterYValueCount)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setImageExportListener

          public void setImageExportListener(javax.el.MethodExpression imageExportListener)

    - #### setLegend

          public void setLegend(javax.el.ValueExpression legend)

    - #### setLegendLocation

          public void setLegendLocation(javax.el.ValueExpression legendLocation)

    - #### setLegendPlacement

          public void setLegendPlacement(javax.el.ValueExpression legendPlacement)

    - #### setPointChangeListener

          public void setPointChangeListener(javax.el.MethodExpression pointChangeListener)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setSelectListener

          public void setSelectListener(javax.el.MethodExpression selectListener)

    - #### setShowTooltip

          public void setShowTooltip(javax.el.ValueExpression showTooltip)

    - #### setStackSeries

          public void setStackSeries(javax.el.ValueExpression stackSeries)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setTitle

          public void setTitle(javax.el.ValueExpression title)

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

    - #### setWidgetVar

          public void setWidgetVar(javax.el.ValueExpression widgetVar)

    - #### setWidth

          public void setWidth(javax.el.ValueExpression width)

    - #### setX2Axis

          public void setX2Axis(javax.el.ValueExpression x2Axis)

    - #### setXAxis

          public void setXAxis(javax.el.ValueExpression xAxis)

    - #### setYAxes

          public void setYAxes(javax.el.ValueExpression yAxes)

    - #### setZoom

          public void setZoom(javax.el.ValueExpression zoom)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.